hpp-corbaserver: hpp::pinocchio_idl::Device Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::pinocchio_idl::Device Interface Reference

`import"/local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/pinocchio_idl/robots.idl";`

## Public Member Functions
string | name () raises (Error)
floatSeq | neutralConfiguration () raises (Error)
size_type | configSize () raises (Error)
size_type | numberDof () raises (Error)
void | integrate (in floatSeq config_in, in floatSeq velocity, out floatSeq result) raises (Error)
void | difference (in floatSeq q1, in floatSeq q2, out floatSeq result) raises (Error)
void | interpolate (in floatSeq q1, in floatSeq q2, in float u, out floatSeq result) raises (Error)
void | saturate (in floatSeq qin, out floatSeq qout, out boolSeq saturation) raises (Error)
void | replaceGeometryByConvexHull (in Names_t geometryNames) raises (Error)
floatSeq | getCurrentConfiguration () raises (Error)
boolean | setCurrentConfiguration (in floatSeq configuration) raises (Error)
floatSeq | getCurrentVelocity () raises (Error)
boolean | setCurrentVelocity (in floatSeq velocity) raises (Error)
floatSeq | getCurrentAcceleration () raises (Error)
boolean | setCurrentAcceleration (in floatSeq acceleration) raises (Error)
short | computationFlag () raises (Error)
void | controlComputation (in short flag) raises (Error)
void | computeForwardKinematics (in short computationFlag) raises (Error)
void | computeFramesForwardKinematics () raises (Error)
void | updateGeometryPlacements () raises (Error)
frame_index | getFrameByName (in string name) raises (Error)
Transform_ | getFramePosition (in frame_index frame_id) raises (Error)
floatSeqSeq | getFrameJacobian (in frame_index frame_id) raises (Error)
void | removeJoints (in Names_t joints, in floatSeq refConfig) raises (Error)

## Member Function Documentation

## ◆ computationFlag()

short hpp::pinocchio_idl::Device::computationFlag | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ computeForwardKinematics()

void hpp::pinocchio_idl::Device::computeForwardKinematics | ( | in short | computationFlag | ) |
raises | ( | Error
| ) |  |

## ◆ computeFramesForwardKinematics()

void hpp::pinocchio_idl::Device::computeFramesForwardKinematics | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ configSize()

size_type hpp::pinocchio_idl::Device::configSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ controlComputation()

void hpp::pinocchio_idl::Device::controlComputation | ( | in short | flag | ) |
raises | ( | Error
| ) |  |

## ◆ difference()

void hpp::pinocchio_idl::Device::difference | ( | in floatSeq | q1,
|  | in floatSeq | q2,
|  | out floatSeq | result
| ) |  |
raises | ( | Error
| ) |  |

## ◆ getCurrentAcceleration()

floatSeq hpp::pinocchio_idl::Device::getCurrentAcceleration | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getCurrentConfiguration()

floatSeq hpp::pinocchio_idl::Device::getCurrentConfiguration | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getCurrentVelocity()

floatSeq hpp::pinocchio_idl::Device::getCurrentVelocity | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getFrameByName()

frame_index hpp::pinocchio_idl::Device::getFrameByName | ( | in string | name | ) |
raises | ( | Error
| ) |  |

## ◆ getFrameJacobian()

floatSeqSeq hpp::pinocchio_idl::Device::getFrameJacobian | ( | in frame_index | frame_id | ) |
raises | ( | Error
| ) |  |

## ◆ getFramePosition()

Transform_ hpp::pinocchio_idl::Device::getFramePosition | ( | in frame_index | frame_id | ) |
raises | ( | Error
| ) |  |

## ◆ integrate()

void hpp::pinocchio_idl::Device::integrate | ( | in floatSeq | config_in,
|  | in floatSeq | velocity,
|  | out floatSeq | result
| ) |  |
raises | ( | Error
| ) |  |

## ◆ interpolate()

void hpp::pinocchio_idl::Device::interpolate | ( | in floatSeq | q1,
|  | in floatSeq | q2,
|  | in float | u,
|  | out floatSeq | result
| ) |  |
raises | ( | Error
| ) |  |

## ◆ name()

string hpp::pinocchio_idl::Device::name | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ neutralConfiguration()

floatSeq hpp::pinocchio_idl::Device::neutralConfiguration | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ numberDof()

size_type hpp::pinocchio_idl::Device::numberDof | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ removeJoints()

void hpp::pinocchio_idl::Device::removeJoints | ( | in Names_t | joints,
|  | in floatSeq | refConfig
| ) |  |
raises | ( | Error
| ) |  |

Warning
  removing joints invalidates joint ids. Use this carefully.

## ◆ replaceGeometryByConvexHull()

void hpp::pinocchio_idl::Device::replaceGeometryByConvexHull | ( | in Names_t | geometryNames | ) |
raises | ( | Error
| ) |  |

## ◆ saturate()

void hpp::pinocchio_idl::Device::saturate | ( | in floatSeq | qin,
|  | out floatSeq | qout,
|  | out boolSeq | saturation
| ) |  |
raises | ( | Error
| ) |  |

## ◆ setCurrentAcceleration()

boolean hpp::pinocchio_idl::Device::setCurrentAcceleration | ( | in floatSeq | acceleration | ) |
raises | ( | Error
| ) |  |

## ◆ setCurrentConfiguration()

boolean hpp::pinocchio_idl::Device::setCurrentConfiguration | ( | in floatSeq | configuration | ) |
raises | ( | Error
| ) |  |

## ◆ setCurrentVelocity()

boolean hpp::pinocchio_idl::Device::setCurrentVelocity | ( | in floatSeq | velocity | ) |
raises | ( | Error
| ) |  |

## ◆ updateGeometryPlacements()

void hpp::pinocchio_idl::Device::updateGeometryPlacements | ( |  | ) |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/pinocchio_idl/robots.idl